Bug 1572082 - Update from Satellite 6.3.1 to 6.4 failed
Summary: Update from Satellite 6.3.1 to 6.4 failed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Upgrades
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.4.0
Assignee: Patrick Creech
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 07:23 UTC by Nikhil Kathole
Modified: 2019-11-05 23:16 UTC (History)
5 users (show)

Fixed In Version: python-celery-4.0.2-4.el7sat, python-billiard-3.5.0.3-3.el7sat
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 18:58:11 UTC
Target Upstream Version:


Attachments (Terms of Use)
yum update (111.54 KB, text/plain)
2018-04-26 07:23 UTC, Nikhil Kathole
no flags Details

Description Nikhil Kathole 2018-04-26 07:23:14 UTC
Created attachment 1427020 [details]
yum update

Description of problem: Updating satellite 6.3.1 puppet 4 to 6.4 gives transaction check error.


#yum update

Transaction check error:

out:   file /usr/lib64/python2.7/site-packages/billiard/__init__.py from install of python2-billiard-1:3.5.0.3-1.el7sat.x86_64 conflicts with file from package python-billiard-1:3.3.0.20-2.el7sat.x86_64

file /usr/lib/python2.7/site-packages/celery/worker/strategy.pyo from install of python2-celery-4.0.2-3.el7sat.noarch conflicts with file from package python-celery-3.1.17-1.el7sat.noarch



# yum repolist
repo id                                               repo name                                                                              status
rhel-7-server-extras-rpms/x86_64                      Red Hat Enterprise Linux 7 Server - Extras (RPMs)                                         814
rhel-7-server-rpms/x86_64                             Red Hat Enterprise Linux 7 Server (RPMs)                                               20,127
rhel-7-server-satellite-6.3-rpms/x86_64               Red Hat Satellite 6.3 (for RHEL 7 Server) (RPMs)                                          357
rhel-server-rhscl-7-rpms/x86_64                       Red Hat Software Collections RPMs for Red Hat Enterprise Linux 7 Server                 9,458
sat64                                                  satellite 64



Version-Release number of selected component (if applicable):
 # rpm -q satellite
satellite-6.3.1-3.el7sat.noarch


How reproducible:always


Steps to Reproduce:
1. Install 6.3.1 puppet4
2. add satellite 64 repo
3. perform yum update

Actual results:

yum update failed 

out:   file /usr/lib64/python2.7/site-packages/billiard/__init__.py from install of python2-billiard-1:3.5.0.3-1.el7sat.x86_64 conflicts with file from package python-billiard-1:3.3.0.20-2.el7sat.x86_64

file /usr/lib/python2.7/site-packages/celery/worker/strategy.pyo from install of python2-celery-4.0.2-3.el7sat.noarch conflicts with file from package python-celery-3.1.17-1.el7sat.noarch

Error Summary
-------------


Expected results: yum update should perform.


Additional info: 

# yum whatprovides python-celery
python-celery-3.1.17-1.el7sat.noarch : Distributed Task Queue
Repo        : rhel-7-server-satellite-6.3-rpms



python2-celery-4.0.2-3.el7sat.noarch : Distributed Task Queue
Repo        : sat64
Matched from:
Provides    : python-celery



python-celery-3.1.17-1.el7sat.noarch : Distributed Task Queue
Repo        : @rhel-7-server-satellite-6.3-rpms

# yum whatprovides python-billiard
1:python-billiard-3.3.0.20-2.el7sat.x86_64 : Multiprocessing Pool Extensions
Repo        : rhel-7-server-satellite-6.3-rpms



1:python2-billiard-3.5.0.3-1.el7sat.x86_64 : Multiprocessing Pool Extensions
Repo        : sat64
Matched from:
Provides    : python-billiard



1:python-billiard-3.3.0.20-2.el7sat.x86_64 : Multiprocessing Pool Extensions
Repo        : @rhel-7-server-satellite-6.3-rpms

Comment 5 Nikhil Kathole 2018-06-15 08:42:34 UTC
VERIFIED

Version tested:
Satellite 6.3.1 -> 6.4 snap 7.

Yum update successful.
out: Complete!
out: 
Time taken for satellite packages update- 0:22:09
HIGHLIGHT:upgrade_logging:Time taken for satellite packages update- 0:22:0

Comment 6 Bryan Kearney 2018-10-16 18:58:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.